O'Reilly logo
  • First Last thinks this is interesting:

Scroll down into the Target Platform bundles and check the box beside the bundles org.eclipse.equinox.ds and org.eclipse.equinox.util. These bundles are Equinox’s DS implementation and prerequisite.

From

Cover of OSGi and Equinox

Note

Also need org.eclipse.osgi.services. This was added in the previous section. But it's not in the Chapter 5 version of the code. So if using the Chapter 5 version, you need to add this bundle.